sight (25.1.0-1build3) resolute; urgency=medium

  * No-change rebuild for boost 1.90.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Feb 2026 14:18:14 +0100

sight (25.1.0-1build2) resolute; urgency=medium

  * No-change rebuild for libvtk9.5.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 24 Dec 2025 19:36:51 +0000

sight (25.1.0-1build1) resolute; urgency=medium

  * No-change rebuild for libopenigtlink3.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 20:53:13 +0000

sight (25.1.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: Upgrade to Qt6, required for this version
    Add patch to build with gcc 15.  Closes: #1097881, #1111550
    Removed dbus-x11.  Closes: #1117106
  * d/p/: Update all patches to match new root file tree
    Remove applied patches upstream
  * lintian.overrides: Removed because of obsolete tags

 -- Flavien Bridault <fbridault@ircad.fr>  Sat, 04 Oct 2025 09:41:48 +0200

sight (25.0.0-1) unstable; urgency=medium

  * New upstream version
  * d/p/: Remove patches applied upstream
    Update other patches
    Add a patch to not load Roboto font manually
  * Removed sightlog install, since it was removed upstream

 -- Flavien Bridault <fbridault@ircad.fr>  Sat, 01 Mar 2025 09:45:07 +0100

sight (24.1.0-2) unstable; urgency=medium

  * Team upload.
  * [1d3de11] Add missing build-dep packages.  Closes: #1094050.
  * [f5fe527] Fix usage of itkTypeMacro().  Closes: #1094894.

 -- Steve M. Robbins <smr@debian.org>  Thu, 13 Feb 2025 22:24:09 -0600

sight (24.1.0-1) unstable; urgency=medium

  [ Flavien BRIDAULT ]
  * New upstream version
  * d/p/: Added patch for dcmtk 3.6.8
    Add patch to build with gcc14
    Closes: #1075792, #1075508
  * Depends: add fonts-roboto and do not install those from source

  [ Étienne Mollier ]
  * d/copyright: update copyright years.
  * d/control: declare compliance to standards version 4.7.0.

 -- Flavien Bridault <fbridault@ircad.fr>  Wed, 21 Aug 2024 13:56:45 +0200

sight (23.1.0-3) unstable; urgency=medium

  * Team upload.
  * [c1dc603] Fix FTBFS against VTK9.3. (Closes: #1073822)
  * [afc423e] Update CI-file

 -- Anton Gladky <gladk@debian.org>  Fri, 21 Jun 2024 14:47:57 +0200

sight (23.1.0-2) unstable; urgency=medium

  * d/p/gcc13.patch: Update patch (Closes: #1059140)
  * Updated minizip copyright entry

 -- Flavien BRIDAULT <flavien.bridault@ircad.fr>  Thu, 21 Dec 2023 14:22:47 +0100

sight (23.1.0-1) unstable; urgency=medium

  [ Flavien BRIDAULT ]
  * New upstream version
  * d/p/: Remove patches applied upstream
    Add patch to build with gcc13
    Closes: #1037858, #1039529

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)

 -- Flavien BRIDAULT <fbridault@ircad.fr>  Mon, 06 Nov 2023 13:04:23 +0100

sight (21.1.1-3) unstable; urgency=medium

  * Team upload.
  * d/rules: ventilate dh_auto_configure command.
  * d/rules: set SIGHT_ARCH to force CPU baseline.
    The default provided by cmake files is to build with x86-64-v3 which
    would include avx and avx2 support and leading to baseline violations
    otherwise. (Closes: #1023260)

 -- Étienne Mollier <emollier@debian.org>  Tue, 01 Nov 2022 13:04:26 +0100

sight (21.1.1-2) unstable; urgency=medium

  * d/p/: Remove patches applied upstream
    Add several patches to fix lintian warnings
    Add fix to build with gcc12 (Closes: #1016276)

 -- Flavien Bridault <fbridault@ircad.fr>  Sat, 30 Jul 2022 09:51:09 +0200

sight (21.1.1-1) unstable; urgency=medium

  [ Pierre Gruet ]
  * Team upload
  * Conforming to opencv 4.6.0 interface (Closes: #1013903)
  * Checking the package now builds with gcc-12 (Closes: #1013036)
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

  [ Flavien Bridault ]
  * New upstream version
  * d/p/: Remove patches applied upstream
    Add several patches to fix lintian warnings
    Add fix to build with gcc12. Closes: #1013036
  * d/rules: disable samples build
  * Build-Depends: remove libcamp-dev
  * Depends: remove libcamp

 -- Pierre Gruet <pgt@debian.org>  Fri, 15 Jul 2022 00:13:29 +0200

sight (21.0.0-4) unstable; urgency=medium

  * Team upload.
  [Flavien Bridault]
  * d/p/: Add patch to build with insighttoolkit5-dev
    Add patch to build with vtk9-1

  [Andreas Tille]
  * Switch (Build-)Depends from libinsighttoolkit4-dev to
    libinsighttoolkit5-dev
  * Remove trailing whitespace in debian/control (routine-update)

 -- Flavien Bridault <fbridault@ircad.fr>  Wed, 12 Jan 2022 13:43:05 +0100

sight (21.0.0-3) unstable; urgency=medium

  * Team upload
  * Calling OFListIterator(T) instead of OFIterator<T> (Closes: #1001681)

 -- Pierre Gruet <pgt@debian.org>  Wed, 15 Dec 2021 23:03:15 +0100

sight (21.0.0-2) unstable; urgency=medium

  * d/p/: Add patch to remove a service that does not build on i386
  * d/.manpages: Update manual pages to match the current version

 -- Flavien Bridault <fbridault@ircad.fr>  Wed, 03 Nov 2021 10:50:39 +0100

sight (21.0.0-1) unstable; urgency=medium

  [Flavien Bridault]
  * Rename vrrender package into sightviewer
  * Add package for sightcalibrator
  * d/p/: remove patch to fix vrrender launch, no longer needed
    Add patch to fix the loading of dynamic libraries at runtime
    Add patch to add missing stdlib includes
    Add patch to disable samples build
  * Build-Depends: qt3d5-dev, qtmultimedia5-dev, qtquickcontrols2-5-dev,
                   libarchive-dev,libfftw3-dev, libopenigtlink-dev
  * d/upstream: update github organization urls

  [Andreas Tille]
  * Team upload.
  * Fix watchfile to detect new versions on github
  * New upstream version
    Closes: #984330
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Update watch file format version to 4.
  * Versioned Build-Depends: libcamp-dev (>= 0.8.4-3)
  * Build-Depends: libopencv-dev, libceres-dev

 -- Flavien Bridault <fbridault@ircad.fr>  Thu, 21 Oct 2021 15:00:59 +0200

sight (20.2.0-2) unstable; urgency=medium

  * d/p: add new patch to fix vrrender launch. Closes: #982262

 -- Flavien Bridault <fbridault@ircad.fr>  Tue, 16 Mar 2021 20:59:58 +0000

sight (20.2.0-1) unstable; urgency=medium

  [ Nilesh Patra ]
  [Nilesh Patra]
  * New upstream version
  * Team upload.
  * debhelper-compat 13 (routine-update)

  [Flavien Bridault]
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * d/p/: refresh patch
  * d/rules: enable PCH (https://git.ircad.fr/sight/sight/-/issues/263)

 -- Flavien Bridault <fbridault@ircad.fr>  Tue, 15 Dec 2020 11:10:27 +0100

sight (20.0.0-2) unstable; urgency=medium

  * d/p: add new patch to fix i386 build
    Closes: #964401

 -- Flavien Bridault <fbridault@ircad.fr>  Fri, 24 Jul 2020 13:37:53 +0000

sight (20.0.0-1) unstable; urgency=medium

  * New upstream version
  * d/p/: remove patches merged upstream
    Add new patch to remove the shell extension from /usr/bin/vrrender
  * d/control: replace libcamp0.7-dev with libcamp

 -- Flavien Bridault <fbridault@ircad.fr>  Thu, 25 Jun 2020 20:41:52 +0000

sight (19.0.0-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch from Giovanni Mascellani for FTBFS with Boost 1.71.
    (Closes: #954711)

 -- Adrian Bunk <bunk@debian.org>  Mon, 15 Jun 2020 18:20:23 +0300

sight (19.0.0-6) unstable; urgency=medium

  [ Etienne Mollier ]
  * Team upload.
  * Hardcoded $me and $rootdir into the vrrender launcher for usrmerge support
    Closes: #958089
  * Changed manpages location to follow binaries embedded in libsight
  * Updated a copyright entry from BSD to LGPL-3+ per current header
  * Removed now unneeded ld flags per lintian warning

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Sat, 25 Apr 2020 14:47:51 +0200

sight (19.0.0-5) unstable; urgency=medium

  * Team upload.
  * Drop explicit Depends: libvtk7.1-qt
    Closes: #948741

 -- Andreas Tille <tille@debian.org>  Sun, 12 Jan 2020 20:54:58 +0100

sight (19.0.0-4) unstable; urgency=medium

  * Team upload.
  * Drop explicit Build-Depends: libvtk7.1-qt
    Closes: #948368
  * Refer to common license file for BSD.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-3+, LGPL-3+.

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jan 2020 11:36:37 +0100

sight (19.0.0-3) unstable; urgency=medium

  * d/control: update to gdcm3 for -dev, remove libminc-dev

 -- Flavien Bridault <fbridault@ircad.fr>  Tue, 17 Dec 2019 08:33:30 +0000

sight (19.0.0-2) unstable; urgency=medium

  [ Flavien Bridault ]
  * cme fix dpkg
  * Standards-Version: 4.4.1
  * d/p/fix-glm-missing-cmake.patch: add patch to be compatible with glm 0.9.9.6
  * d/control: add transitive dependency for ITK, update to gdcm 3

  [ Andreas Tille ]
  * debhelper-compat 12
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/rules
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 0.9.2-4.

 -- Flavien Bridault <fbridault@ircad.fr>  Wed, 04 Dec 2019 11:22:04 +0000

sight (19.0.0-1) unstable; urgency=medium

  * New upstream version
  * d/p/: updated patches
  * d/p/fix_version_getter.patch: add patch to not use git during configuring

 -- Flavien Bridault <fbridault@ircad.fr>  Mon, 02 Sep 2019 06:41:05 +0000

sight (18.1.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Move package repository to sight

  [ Flavien Bridault ]
  * d/control: rename fw4spl to sight
    Depends now on vtk7
  * d/copyright: update credits, urls and licence version
  * d/rules: rename fw4spl to sight
  * d/watch: update upstream url
  * d/p/: remove patches merged upstream
  * */Courier.ttf: remove file not allowed for redistribution


 -- Flavien Bridault <fbridault@ircad.fr>  Sun, 04 Aug 2019 16:59:10 +0000

fw4spl (17.2.0-2) unstable; urgency=medium

  [ Flavien Bridault ]
  * d/p/: add patch to build with dcmtk 3.6.4. Closes: #920457

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Flavien Bridault <fbridault@ircad.fr>  Sun, 03 Feb 2019 09:34:17 +0000

fw4spl (17.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 01 Nov 2018 12:42:50 +0100

fw4spl (14.0.0-1) unstable; urgency=medium

  [ Flavien Bridault ]
  * New upstream version
  * d/p/: remove obsolete patches
    Add patch to enable experimental GLM extension. Closes: #888932
  * d/rules: update build options

  [ Andreas Tille ]
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Flavien Bridault <fbridault@ircad.fr>  Wed, 28 Feb 2018 13:24:10 +0000

fw4spl (11.0.4-2) unstable; urgency=medium

  * Team upload.
  * d/control: Move to standards version 4.0.1
  * d/p/: Add patch fix_functional_include, Closes: #871111

 -- Gert Wollny <gewo@debian.org>  Mon, 21 Aug 2017 12:26:44 +0000

fw4spl (11.0.4-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload
  * Fix Homepage
    Closes: #812904

  [ Flavien Bridault ]
  * New upstream version
    Support libpng16. Closes: #809935.
    Support vtk6. Closes: #820632.
    Support insighttoolkit4. Closes: #821957.
    Support gcc5 build. Closes: #793240.
  * Removed Corentin Desfarges as Uploader
  * Added myself as Uploader
  * d/watch: Moved to official fw4spl fork
  * debhelper 10 (which enables parallel build as default). Closes: #797475.
  * d/control: Updated dependencies
  * cme fix dpkg-control

 -- Flavien Bridault <fbridault@ircad.fr>  Wed, 23 Nov 2016 09:58:17 +0100

fw4spl (0.9.2-4) unstable; urgency=medium

  * Fix arm support.
  * Remove restriction to amd64.
  * Update dependencies in d/control.
  * Support new boost version. Closes: #797481.
  * Forbid parallel build. Closes: #797475.

 -- Corentin Desfarges <corentin.desfarges.dev@gmail.com>  Mon, 21 Dec 2015 14:11:13 +0200

fw4spl (0.9.2-3) unstable; urgency=medium

  * Restrict package to amd64. Closes: #790288.

 -- Corentin Desfarges <corentin.desfarges.dev@gmail.com>  Thu, 16 Jul 2015 11:16:32 +0200

fw4spl (0.9.2-2) unstable; urgency=medium

  * Replace files from libqt4-qt3support by symlinks. Closes: #781298.
  * Fix FindHdf5.cmake to find hdf5 on i386 arch. Closes: #781294.

 -- Corentin Desfarges <corentin.desfarges.dev@gmail.com>  Fri, 27 Mar 2015 17:03:34 +0100

fw4spl (0.9.2-1) unstable; urgency=low

  * Initial release (Closes: #779632)

 -- Corentin Desfarges <corentin.desfarges.dev@gmail.com>  Mon, 23 Mar 2015 11:19:00 +0100
